function setupBrowser() {
	$.fn.dataTableExt.sErrMode = 'throw';
	var table = $('.files').DataTable({
		"ajax": {"url": "/files", "dataSrc": "files"},
		"stateSave": true,
		"pageLength": 20,
		"lengthMenu": [ [20, 50, 100, -1], [20, 50, 100, "All"] ],
		"columnDefs": [ {
            "targets": 0,
            "data": "filename",
            "render": function ( data, type, row ) {
                return "<a class='play' ref='"+row["filename"]+"' zip='"+row["zip"]+"'><img src='/static/img/play.png' /></a>"
              }
        },{
            "targets": 1,
            "data": null,
            "render": function ( data, type, row ) {
                return "<a class='scan' ref='"+row["filename"]+"' zip='"+row["zip"]+"'><img src='/static/img/scan.png' /></a>"
              }
        }],
        "columns": [
        	{"orderable": false, "width": "30px", "class": "play"},
        	{"orderable": false, "width": "30px", "class": "scan"},
            { "data": "name", "class": "name"},
            { "data": "type", "class": "shrink"},
            { "data": "map", "class": "shrink"},
            { "data": "versus", "class": "shrink"},
            { "data": "restore", "class": "shrinkright"},
            { "data": "duration", "class": "shrinkright"},
            { "data": "played", "class": "shrinkright"},
            { "data": "added", "class": "shrinkright"}
        ]
	});
	setInterval( function () {
		table.ajax.reload( null, false );
	}, 2000 );
	$('.files').on( "click", ".play", function() {
		var popID = $(this).attr('ref');
		var zip = $(this).attr('zip');
		var url = 'watch/'+encodeURIComponent(popID)+"/"+encodeURIComponent(zip)
		$.get(url, {}, function(data) {});
		return false;
	});
	$('.files').on( "click", ".scan", function() {
		var popID = $(this).attr('ref');
		var zip = $(this).attr('zip');
		var url = 'scan/'+encodeURIComponent(popID)+"/"+encodeURIComponent(zip)
		$.get(url, {}, function(data) {});
		return false;
	});
	$('.files').on( "mousedown", ".play", function() {
		$(this).find("img").attr('src', '/static/img/play-down.png');
		return false;
	});
	$('.files').on( "mousedown", ".scan", function() {
		$(this).find("img").attr('src', '/static/img/scan-down.png');
		return false;
	});
}